math::TReader< T > Class Template Reference

`#include <reader.h>`

## Static Public Member Functions

static TNode< T > * | parse (const std::string &AInput, bool AEquation=false)

## Detailed Description

### template<class T>
class math::TReader< T >

TReader<> represents the expression reader (aka. parser) wich generates on given input (usually of type std::string) the equivalent output of type TNode<>.

Definition at line 49 of file reader.h.

## Member Function Documentation

template<class T >

static TNode<T>* math::TReader< T >::parse | ( | const std::string & | AInput,
|  | bool | AEquation = `false`
| ) |  |

static

Parses given expression string (AInput) and returns its result. Equation parsing is enabled if AEquation is !false.

The documentation for this class was generated from the following file:

- reader.h